import _extends from "@babel/runtime/helpers/esm/extends";
import PropTypes from 'prop-types';
import { IMG_ROLE } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
export default function AtomIcon(_ref) {
  var className = _ref.className,
      children = _ref.children,
      outerRef = _ref.outerRef,
      title = _ref.title;
  var a11yAttributes = title ? {
    role: IMG_ROLE,
    ariaLabel: title
  } : {};
  return /*#__PURE__*/_jsx("span", _extends({
    className: className,
    title: title,
    ref: outerRef
  }, a11yAttributes, {
    children: children
  }));
}